LibreOffice: ReportDefinition Service Reference

LibreOffice LibreOffice 6.4 SDK API Reference

List of all members
ReportDefinition Service Reference

`import"ReportDefinition.idl";`

Inheritance diagram for ReportDefinition:

## Additional Inherited Members
Public Types inherited from XReportComponent
typedef sequence< string > | MasterFields { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| is used for subreports and contains the names of columns of the parent report. More...
typedef sequence< string > | DetailFields { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| is used for subreports and contains the names of the columns of the subreport which are related to the master fields of the parent report. More...
Exported Interfaces inherited from XReportDefinition
interface | com::sun::star::frame::XModel
| allows the access to the model embedded in the database storage. More...
interface | com::sun::star::frame::XLoadable
| offers a simple way to initialize a component. More...
interface | com::sun::star::embed::XVisualObject
| represents common visualization functionality for the embedded report. More...
interface | com::sun::star::document::XStorageBasedDocument
| allows to initialize the document with a storage. More...
interface | com::sun::star::document::XViewDataSupplier
| gives access to some properties describing all open views to a document. More...
interface | com::sun::star::util::XCloseable
| allows to close the document. More...
interface | com::sun::star::ui::XUIConfigurationManagerSupplier
| allows to retrieve the user interface configuration manager related to an object. More...
interface | com::sun::star::document::XDocumentSubStorageSupplier
interface | com::sun::star::style::XStyleFamiliesSupplier
| provides access to the collection of style families. More...
interface | com::sun::star::util::XModifiable2
| a storable document should provide information about his modify state More...
interface | XReportComponent
| allows the creation of sub reports. More...
interface | XFunctionsSupplier
| gives access to functions defined in the report definition. More...
Exported Interfaces inherited from XReportComponent
interface | com::sun::star::util::XCloneable
interface | com::sun::star::container::XChild
| identifies the component as a candidate for being part of a report. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of report components. More...
interface | com::sun::star::drawing::XShape
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
Public Member Functions inherited from XReportDefinition
com::sun::star::document::XEventBroadcaster | getEventBroadcaster () raises ( ::com::sun::star::lang::DisposedException, ::com::sun::star::uno::Exception )
| makes it possible to register listeners which are called whenever a document event occurs. More...
sequence< string > | getAvailableMimeTypes () raises ( ::com::sun::star::lang::DisposedException, ::com::sun::star::uno::Exception )
| returns a sequence of the currently supported output formats. More...
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description. More...
string | getURL ()
| provides information about the location of this model More...
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and its state More...
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model. More...
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model. More...
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates. More...
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers(). More...
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining. More...
XController | getCurrentController ()
| provides access to the controller which currently controls this model More...
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller. More...
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XLoadable
void | initNew () raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| creates a component from scratch More...
void | load ([in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| loads a component from a URL More...
Public Member Functions inherited from XVisualObject
void | setVisualAreaSize ([in] hyper nAspect, [in] ::com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| sets the size of object's visual area. More...
::com::sun::star::awt::Size | getVisualAreaSize ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| gets the size of object's visual area. More...
VisualRepresentation | getPreferredVisualRepresentation ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| retrieves visual representation of the object in preferable format. More...
long | getMapUnit ([in] hyper nAspect) raises ( ::com::sun::star::uno::Exception )
| retrieves map mode the object communicates in. More...
Public Member Functions inherited from XStorageBasedDocument
void | loadFromStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::frame::DoubleInitializationException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document load itself using provided storage. More...
void | storeToStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document store itself to the provided storage. More...
void | switchToStorage ([in] ::com::sun::star::embed::XStorage xStorage) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to switch the document to the provided storage. More...
::com::sun::star::embed::XStorage | getDocumentStorage () raises ( ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to get the storage the document is based on. More...
void | addStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to register a listener that will be notified when another storage is set to the document. More...
void | removeStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to deregister the listener. More...
Public Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later More...
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument More...
Public Member Functions inherited from XCloseable
void | close ([in] boolean DeliverOwnership) raises ( CloseVetoException )
| try to close the object More...
Public Member Functions inherited from XCloseBroadcaster
void | addCloseListener ([in] XCloseListener Listener)
| adds the specified listener to receive or have a veto for "close" events More...
void | removeCloseListener ([in] XCloseListener Listener)
| removes the specified listener More...
Public Member Functions inherited from XUIConfigurationManagerSupplier
XUIConfigurationManager | getUIConfigurationManager ()
| returns the user interface configuration manager related to the object. More...
Public Member Functions inherited from XDocumentSubStorageSupplier
com::sun::star::embed::XStorage | getDocumentSubStorage ([in] string StorageName, [in] long nMode)
| provides the access to a substorage with specified name More...
sequence< string > | getDocumentSubStoragesNames () raises ( ::com::sun::star::io::IOException )
| provides the list of substorages More...
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document. More...
Public Member Functions inherited from XModifiable2
boolean | disableSetModified ()
| disable possibility to change modified state of the document More...
boolean | enableSetModified ()
| enable possibility to change modified state of the document More...
boolean | isSetModifiedEnabled ()
| allows to detect whether the modified state change is enabled More...
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Attributes inherited from XReportDefinition
string | MimeType { set raises(com::sun::star::lang::IllegalArgumentException); }
| Represents the output format (media (mime) type) of the resulting document when executing this report. More...
string | Caption
| Represents the title of the report in print preview. More...
short | GroupKeepTogether { set raises(com::sun::star::lang::IllegalArgumentException); }
| Specifies whether groups in a multi column report are kept together. More...
short | PageHeaderOption
| Represents the location of the page header. More...
short | PageFooterOption
| Represents the location of the page footer. More...
string | Command
| is the command which should be executed, the type of command depends on the CommandType. More...
long | CommandType
| specifies the type of the command to be executed to retrieve a result set. More...
string | Filter
| specifies an additional filter to optionally use. More...
boolean | EscapeProcessing
| specifies if the Command should be analyzed on the client side before sending it to the database server. More...
com::sun::star::sdbc::XConnection | ActiveConnection { set raises(com::sun::star::lang::IllegalArgumentException); }
| specifies the active connection which is used to create the resulting report. More...
string | DataSourceName
| is the name of the datasource to use, this could be a named datasource or the URL of a data access component. More...
boolean | ReportHeaderOn
| Defines that the report header is on. More...
boolean | ReportFooterOn
| Defines that the report footer is on. More...
boolean | PageHeaderOn
| Defines that the page header is on. More...
boolean | PageFooterOn
| Defines that the page footer is on. More...
com::sun::star::report::XGroups | Groups
| Represents the groups of the report. More...
com::sun::star::report::XSection | ReportHeader { get raises(com::sun::star::container::NoSuchElementException); }
| returns the report header if the ReportHeaderOn is `TRUE`. More...
com::sun::star::report::XSection | PageHeader { get raises(com::sun::star::container::NoSuchElementException); }
| returns the page header if the PageHeaderOn is `TRUE`. More...
com::sun::star::report::XSection | Detail
| returns the detail section. More...
com::sun::star::report::XSection | PageFooter { get raises(com::sun::star::container::NoSuchElementException); }
| returns the page footer if the PageFooterOn is `TRUE`. More...
com::sun::star::report::XSection | ReportFooter { get raises(com::sun::star::container::NoSuchElementException); }
| returns the report footer if the ReportFooterOn is `TRUE`. More...
Public Attributes inherited from XReportComponent
string | Name { set raises(com::sun::star::beans::PropertyVetoException); }
| the name of the component. More...
long | Height { set raises(com::sun::star::beans::PropertyVetoException); }
| specifies the height of the control. More...
long | PositionX
| specifies the horizontal position of the control. More...
long | PositionY
| specifies the vertical position of the control. More...
long | Width { set raises(com::sun::star::beans::PropertyVetoException); }
| specifies the width of the control. More...
boolean | AutoGrow { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that the control containing data shall automatically grow to the optimal height to show the data without wasting space. More...
short | ControlBorder { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the border style of the control. More...
long | ControlBorderColor { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the color of the border, if present More...
boolean | PrintRepeatedValues { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that recurring values are printed. More...
com::sun::star::report::XSection | Section
| Specifies the section where the control belongs to. More...
Public Attributes inherited from XFunctionsSupplier
com::sun::star::report::XFunctions | Functions
| access to the functions More...

The documentation for this service was generated from the following file:

- com/sun/star/report/ReportDefinition.idl